# Uses of Class
javax.naming.Binding

Packages that use Binding
Package
Description
javax.naming
Provides the classes and interfaces for accessing naming services.
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.
javax.naming.event
Provides support for event notification when accessing naming and directory services.

## Uses of Binding in javax.naming

Methods in javax.naming that return types with arguments of type Binding
Modifier and Type
Method
Description
`NamingEnumeration<Binding>`
Context.`listBindings​(String name)`
Enumerates the names bound in the named context, along with the objects bound to them.
`NamingEnumeration<Binding>`
Context.`listBindings​(Name name)`
Enumerates the names bound in the named context, along with the objects bound to them.
`NamingEnumeration<Binding>`
InitialContext.`listBindings​(String name)`
`NamingEnumeration<Binding>`
InitialContext.`listBindings​(Name name)`

## Uses of Binding in javax.naming.directory

Subclasses of Binding in javax.naming.directory
Modifier and Type
Class
Description
`class`
`SearchResult`
This class represents an item in the NamingEnumeration returned as a result of the DirContext.search() methods.

## Uses of Binding in javax.naming.event

Fields in javax.naming.event declared as Binding
Modifier and Type
Field
Description
`protected Binding`
NamingEvent.`newBinding`
Contains information about the object after the change.
`protected Binding`
NamingEvent.`oldBinding`
Contains information about the object before the change.
Methods in javax.naming.event that return Binding
Modifier and Type
Method
Description
`Binding`
NamingEvent.`getNewBinding()`
Retrieves the binding of the object after the change.
`Binding`
NamingEvent.`getOldBinding()`
Retrieves the binding of the object before the change.
Constructors in javax.naming.event with parameters of type Binding
Modifier
Constructor
Description
``
`NamingEvent​(EventContext source, int type, Binding newBd, Binding oldBd, Object changeInfo)`
Constructs an instance of `NamingEvent`.